import 'dart:async';
import 'dart:io';

import 'package:flutter/services.dart';

class Office {
  static const MethodChannel _channel = const MethodChannel('plugins.ly.com/office');

  static Future<Null> createWorkbook(String path) async {
    final Map<String, dynamic> params = {
      'path': path,
    };
    _channel.invokeMethod('createWorkbook', params);
  }

  static Future<Null> createSheet(String n, int w) async {
    final Map<String, dynamic> params = {
      'name': n,
      'which': w,
    };
    _channel.invokeMethod('createSheet', params);
  }

  static Future<Null> addCell(int c, int r, String cont) async {
    final Map<String, dynamic> params = {
      'column': c,
      'row': r,
      'content': cont,
    };
    _channel.invokeMethod('addCell', params);
  }

  static Future<Null> setColumnView(int c, int w) async {
    final Map<String, dynamic> params = {
      'column': c,
      'width': w,
    };
    _channel.invokeMethod('setColumnView', params);
  }

  static Future<Null> write() async {
    _channel.invokeMethod('write');
  }

  static Future<Null> close() async {
    _channel.invokeMethod('close');
  }
}
